Skip to content
Start here

Create or Update Item.

aisearch.namespaces.instances.items.create_or_update(strid, ItemCreateOrUpdateParams**kwargs) -> ItemCreateOrUpdateResponse
PUT/accounts/{account_id}/ai-search/namespaces/{name}/instances/{id}/items

Creates or updates an indexed item in an AI Search instance.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
account_id: str
name: str
id: str

AI Search instance ID. Lowercase alphanumeric, hyphens, and underscores.

maxLength64
minLength1
key: str

Item key / filename. Must not exceed 128 characters.

next_action: Literal["INDEX"]
ReturnsExpand Collapse
class ItemCreateOrUpdateResponse:
id: str
checksum: str
chunks_count: Optional[int]
created_at: datetime
formatdate-time
file_size: Optional[float]
key: str
last_seen_at: datetime
formatdate-time
namespace: str
next_action: Optional[Literal["INDEX", "DELETE"]]
One of the following:
"INDEX"
"DELETE"
source_id: Optional[str]

Identifies which data source this item belongs to. “builtin” for uploaded files, “{type}:{source}” for external sources, null for legacy items.

status: Literal["queued", "running", "completed", 3 more]
One of the following:
"queued"
"running"
"completed"
"error"
"skipped"
"outdated"
error: Optional[str]

Create or Update Item.

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.aisearch.namespaces.instances.items.create_or_update(
    id="my-ai-search",
    account_id="c3dc5f0b34a14ff8e1b3ec04895e1b22",
    name="my-namespace",
    key="key",
    next_action="INDEX",
)
print(response.id)
{
  "result": {
    "id": "id",
    "checksum": "checksum",
    "chunks_count": 0,
    "created_at": "2019-12-27T18:11:19.117Z",
    "file_size": 0,
    "key": "key",
    "last_seen_at": "2019-12-27T18:11:19.117Z",
    "namespace": "namespace",
    "next_action": "INDEX",
    "source_id": "source_id",
    "status": "queued",
    "error": "error"
  },
  "success": true
}
Returns Examples
{
  "result": {
    "id": "id",
    "checksum": "checksum",
    "chunks_count": 0,
    "created_at": "2019-12-27T18:11:19.117Z",
    "file_size": 0,
    "key": "key",
    "last_seen_at": "2019-12-27T18:11:19.117Z",
    "namespace": "namespace",
    "next_action": "INDEX",
    "source_id": "source_id",
    "status": "queued",
    "error": "error"
  },
  "success": true
}